#include "chdecl.h"
void CH_chcode_chqualifier(current, sched, cop)
#define ARGUMENTS 14
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c31;
    case 4: goto cb33;
    case 5: goto c34;
    case 6: goto c38;
    case 7: goto c43;
    case 8: goto cb44;
    case 9: goto c45;
    case 10: goto cb48;
    case 11: goto c49;
    case 12: goto c51;
    case 13: goto c59;
    case 14: goto c96;
    case 15: goto c99;
    case 16: goto c104;
    case 17: goto cb105;
    case 18: goto c106;
    case 19: goto c108;
    case 20: goto cb109;
    case 21: goto c110;
    case 22: goto c112;
    case 23: goto c120;
    case 24: goto c123;
    case 25: goto c125;
    case 26: goto c127;
    case 27: goto c129;
    case 28: goto cb133;
    case 29: goto c134;
    case 30: goto c138;
    case 31: goto cb139;
    case 32: goto c140;
    case 33: goto c142;
    case 34: goto c143;
    case 35: goto c147;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* copy 4 3.0.2 */
  if((ch_returncode = cp_variant(& ch_val, REF(3)DOT(0)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_variant;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* case 5 4 */
  REF(5).value.enumeration = REF(4).value.variant->info.variant_case;
  REF(5).tsdr = & dr_enumeration;
/* equal . 5 =(11) , 21 */
  if ( REF(5).value.enumeration == 11 ) goto c21;
/* equal . 5 =(5) , 43 */
  if ( REF(5).value.enumeration == 5 ) goto c43;
/* equal . 5 =(4) , 51 */
  if ( REF(5).value.enumeration == 4 ) goto c51;
/* equal . 5 =(3) , 104 */
  if ( REF(5).value.enumeration == 3 ) goto c104;
/* equal . 5 =(2) , 108 */
  if ( REF(5).value.enumeration == 2 ) goto c108;
/* equal . 5 =(1) , 112 */
  if ( REF(5).value.enumeration == 1 ) goto c112;
/* equal . 5 =(0) , 120 */
  if ( REF(5).value.enumeration == 0 ) goto c120;
/* branch , 123 */
   goto c123;
c21:
/* noop */
  
/* notequal . 3.0.4 =(1) , 25 */
  if ( REF(3)DOT(0)DOT(4).value.ord_enum != 1 ) goto c25;
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c25:
/* reveal 4 , 11 */
  if (11 != REF(4).value.variant->info.variant_case) goto ch_case_error;
/* new_table 3.3 , 3 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(3),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* ordenum_lit 6 , 123 */
  REF(6).value.ord_enum = 123;
  REF(6).tsdr = & dr_ord_enumeration;
/* copy 7 4.0 */
  if((ch_returncode = cp_table(& ch_val, REF(4)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = & dr_table;
/* initget 8 7 , 0,0 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(8),DEF(7),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c31:
/* get_or_goto 8 7 , 38 */
  if ((ch_returncode = get_selected_object(DEF(8),DEF(7),sched)) != Normal)
     goto c38;
/* insert 3.3 6 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 4;
cb33:
/* call 3.1.12 8 9 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(12),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c34:
/* merge 3.3 9 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(3),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 6 , 44 */
  REF(6).value.ord_enum = 44;
  REF(6).tsdr = & dr_ord_enumeration;
/* branch , 31 */
   goto c31;
c38:
/* endget 8 7 */
  end_selector(DEF(8),DEF(7),sched,GET);
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* ordenum_lit 10 , 125 */
  REF(10).value.ord_enum = 125;
  REF(10).tsdr = & dr_ord_enumeration;
/* insert 3.3 10 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 125 */
   goto c125;
c43:
/* reveal 4 , 5 */
  if (5 != REF(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 8;
cb44:
/* call 3.1.12 4.0.0 11 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(12),
          arguments[1] = DEF(4)DOT(0)DOT(0),
          arguments[2] = DEF(11),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c45:
/* move 3.3 11 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(11);
  REF(11).tsdr = & dr_bottom;
/* chs_lit 12 , "," */
  if( !chs_lit(DEF(12),",") ) goto ch_depletion;
/* merge 3.3 12 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(3),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 10;
cb48:
/* call 3.1.12 4.0.1 13 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(12),
          arguments[1] = DEF(4)DOT(0)DOT(1),
          arguments[2] = DEF(13),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c49:
/* merge 3.3 13 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(3),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 125 */
   goto c125;
c51:
/* reveal 4 , 4 */
  if (4 != REF(4).value.variant->info.variant_case) goto ch_case_error;
/* new_table 3.3 , 3 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(3),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* ordenum_lit 6 , 97 */
  REF(6).value.ord_enum = 97;
  REF(6).tsdr = & dr_ord_enumeration;
/* ordenum_lit 14 , 34 */
  REF(14).value.ord_enum = 34;
  REF(14).tsdr = & dr_ord_enumeration;
/* insert 3.3 14 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 15 4.0 */
  if((ch_returncode = cp_table(& ch_val, REF(4)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = & dr_table;
/* initget 16 15 , 0,0 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(16),DEF(15),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c59:
/* get_or_goto 16 15 , 99 */
  if ((ch_returncode = get_selected_object(DEF(16),DEF(15),sched)) != Normal)
     goto c99;
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 16 =(47) , 71 */
  if ( REF(16).value.ord_enum == 47 ) goto c71;
/* equal . 16 =(42) , 78 */
  if ( REF(16).value.ord_enum == 42 ) goto c78;
/* equal . 16 =(92) , 85 */
  if ( REF(16).value.ord_enum == 92 ) goto c85;
/* equal . 16 =(34) , 88 */
  if ( REF(16).value.ord_enum == 34 ) goto c88;
/* branch , 91 */
   goto c91;
c71:
/* noop */
  
/* notequal . 6 =(42) , 91 */
  if ( REF(6).value.ord_enum != 42 ) goto c91;
/* chs_lit 17 , "\\057" */
  if( !chs_lit(DEF(17),"\\057") ) goto ch_depletion;
/* merge 3.3 17 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(3),DEF(17),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c78:
/* noop */
  
/* notequal . 6 =(47) , 91 */
  if ( REF(6).value.ord_enum != 47 ) goto c91;
/* chs_lit 18 , "\\052" */
  if( !chs_lit(DEF(18),"\\052") ) goto ch_depletion;
/* merge 3.3 18 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(3),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 6 */
  ch_e = handler_type__exit; ch_val = QUAL(6); goto ch_exception;
c85:
/* ordenum_lit 19 , 92 */
  REF(19).value.ord_enum = 92;
  REF(19).tsdr = & dr_ord_enumeration;
/* insert 3.3 19 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(19),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 91 */
   goto c91;
c88:
/* ordenum_lit 20 , 92 */
  REF(20).value.ord_enum = 92;
  REF(20).tsdr = & dr_ord_enumeration;
/* insert 3.3 20 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(20),FALSE,0)) != Normal)
     goto ch_raise_exception;
c91:
/* copy 21 16 */
  REF(21) = REF(16);
/* insert 3.3 21 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 6 16 */
  REF(6) = REF(16);
/* endblock */
  che_endblock(sched);
/* branch , 59 */
   goto c59;
c96:
/* ordenum_lit 6 , 97 */
  REF(6).value.ord_enum = 97;
  REF(6).tsdr = & dr_ord_enumeration;
/* branch , 59 */
   goto c59;
c99:
/* endget 16 15 */
  end_selector(DEF(16),DEF(15),sched,GET);
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* ordenum_lit 22 , 34 */
  REF(22).value.ord_enum = 34;
  REF(22).tsdr = & dr_ord_enumeration;
/* insert 3.3 22 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(3),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 125 */
   goto c125;
c104:
/* reveal 4 , 3 */
  if (3 != REF(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 17;
cb105:
/* call 3.1.13 4.0 23 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(13),
          arguments[1] = DEF(4)DOT(0),
          arguments[2] = DEF(23),
          arguments[2+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c106:
/* move 3.3 23 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(23);
  REF(23).tsdr = & dr_bottom;
/* branch , 125 */
   goto c125;
c108:
/* reveal 4 , 2 */
  if (2 != REF(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 20;
cb109:
/* call 3.1.12 4.0 24 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(12),
          arguments[1] = DEF(4)DOT(0),
          arguments[2] = DEF(24),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c110:
/* move 3.3 24 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(24);
  REF(24).tsdr = & dr_bottom;
/* branch , 125 */
   goto c125;
c112:
/* reveal 4 , 1 */
  if (1 != REF(4).value.variant->info.variant_case) goto ch_case_error;
/* branch_false 4.0 , 117 */
  if ( !REF(4)DOT(0).value.boolean ) goto c117;
/* chs_lit 3.3 , "TRUE" */
  if( !chs_lit(DEF(3)DOT(3),"TRUE") ) goto ch_depletion;
/* branch , 125 */
   goto c125;
c117:
/* chs_lit 3.3 , "FALSE" */
  if( !chs_lit(DEF(3)DOT(3),"FALSE") ) goto ch_depletion;
/* branch , 125 */
   goto c125;
c120:
/* chs_lit 3.3 , "00,00" */
  if( !chs_lit(DEF(3)DOT(3),"00,00") ) goto ch_depletion;
/* branch , 125 */
   goto c125;
c123:
/* exit , 2 */
  ch_e = handler_type__exit; ch_val = QUAL(2); goto ch_exception;
c125:
/* endblock */
  che_endblock(sched);
/* branch , 143 */
   goto c143;
c127:
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* initget 25 3.2 , 0,0 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(25),DEF(3)DOT(2),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c129:
/* get_or_err 25 3.2 */
  if ((ch_returncode = get_selected_object(DEF(25),DEF(3)DOT(2)
    ,sched)) != Normal) goto ch_raise_exception;
/* notequal . 25 4 , 129 */
  if ( !eq_variant(REF(25).value,REF(4).value) ) goto c129;
/* position 26 25 */
  ch_frame = get_selector_frame(DEF(25),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(26).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(26).tsdr = &dr_integer;
  current->ip = 28;
cb133:
/* call 3.1.12 26 27 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(12),
          arguments[1] = DEF(26),
          arguments[2] = DEF(27),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c134:
/* move 3.3 27 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(27);
  REF(27).tsdr = & dr_bottom;
/* endget 25 3.2 */
  end_selector(DEF(25),DEF(3)DOT(2),sched,GET);
/* endblock */
  che_endblock(sched);
/* branch , 142 */
   goto c142;
c138:
/* size 28 3.2 */
  REF(28).value.integer = REF(3)DOT(2).value.table->size;
  REF(28).tsdr = & dr_integer;
  current->ip = 31;
cb139:
/* call 3.1.12 28 29 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(12),
          arguments[1] = DEF(28),
          arguments[2] = DEF(29),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c140:
/* move 3.3 29 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(29);
  REF(29).tsdr = & dr_bottom;
/* insert 3.2 4 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2),DEF(4),FALSE,0)) != Normal)
     goto ch_raise_exception;
c142:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
c143:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c147:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
